Staff analytics for a community
GET /api/communities/{communityId}/analytics. Staff analytics for a community. Headless LMS Communities API reference.
Staff only (owner, admin, instructor). Membership, activity and moderation counts for one community.
Path Parameters
communityId*string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/communities/string/analytics"{ "memberCount": -9007199254740991, "activeMembers": -9007199254740991, "postsPerSpace": [ { "spaceId": "string", "count": -9007199254740991 } ], "commentsPerPost": [ { "postId": "string", "count": -9007199254740991 } ], "messagesSent": -9007199254740991, "flagsRaised": -9007199254740991, "flagsResolved": -9007199254740991, "grantsLapsed": -9007199254740991, "grantsRenewed": -9007199254740991}{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}Unpublish a community (staff) POST
POST /api/communities/{communityId}/unpublish. Unpublish a community (staff). Headless LMS Communities API reference.
Open message flags in a community (staff) GET
GET /api/communities/{communityId}/message-queue. Open message flags in a community (staff). Headless LMS Communities API reference.